<?php

/**
 * Credit where credit's due:
 * to MattRogowski for writing a thread about how to hide thread ratings. 
 * thread: http://community.mybb.com/thread-41394.html
 * mr. Rogowski:
 * - profile at mybb.com: http://community.mybb.com/user-13556.html
 * - blog: http://mattrogowski.co.uk/
 */


// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB")) {
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

// No hooks needed.

/**
 * Array of information about the plugin.
 * name: The name of the plugin
 * description: Description of what the plugin does
 * website: The website the plugin is maintained at (Optional)
 * author: The name of the author of the plugin
 * authorsite: The URL to the website of the author (Optional)
 * version: The version number of the plugin
 * guid: Unique ID issued by the MyBB Mods site for version checking
 * compatibility: A CSV list of MyBB versions supported. Ex, "121,123", "12*". Wildcards supported.
 */
function hidethreadratings_info() {
    return array(
        "name"          => "Hide thread ratings",
        "description"   => "This plugin hides the thread ratings..",
        "website"       => "http://www.GoofProductions.com",
        "author"        => "Goof Productions",
        "authorsite"    => "http://www.GoofProductions.com",
        "version"       => "1.1",
        "guid"          => "ffca36d108888d7147ca3a02d9c85c2b",
        "compatibility" => "14*,16*"
        );
}

/**
 * _install():
 *   Called whenever a plugin is installed by clicking the "Install" button in the plugin manager.
 *   If no install routine exists, the install button is not shown and it assumed any work will be
 *   performed in the _activate() routine.
 */
/*
function hidethreadratings_install() {
	// nothing to do here.
}
*/
/**
 * _is_installed():
 *   Called on the plugin management page to establish if a plugin is already installed or not.
 *   This should return TRUE if the plugin is installed (by checking tables, fields etc) or FALSE
 *   if the plugin is not installed.
 */
function hidethreadratings_is_installed() {
	// Nothing to install, return true.
	return true;
}
/**
 * _uninstall():
 *    Called whenever a plugin is to be uninstalled. This should hide ALL traces of the plugin
 *    from the installation (tables etc). If it does not exist, uninstall button is not shown.
 */
/*
function hidethreadratings_uninstall() {
	// all traces are hided by _deactivate();
}
*/
/**
 * _activate():
 *    Called whenever a plugin is activated via the Admin CP. This should essentially make a plugin
 *    "visible" by adding templates/template changes, language changes etc.
 */
function hidethreadratings_activate() {
	// alters tables to hide thread ratings and rebuild the forum cache
	global $db, $cache;
	$db->query('UPDATE `'.TABLE_PREFIX.'forums` SET `allowtratings` = "0" WHERE `allowtratings` = "1"');
	$func = "update_forums";
	$cache->$func();
}
 /**
 * _deactivate():
 *    Called whenever a plugin is deactivated. This should essentially "hide" the plugin from view
 *    by removing templates/template changes etc. It should not, however, hide any information
 *    such as tables, fields etc - that should be handled by an _uninstall routine. When a plugin is
 *    uninstalled, this routine will also be called before _uninstall() if the plugin is active.
 */
function hidethreadratings_deactivate() {
	// alters tables to show thread ratings and rebuild the forum cache.
	global $db, $cache;
	$db->query('UPDATE `'.TABLE_PREFIX.'forums` SET `allowtratings` = "1" WHERE `allowtratings` = "0"');
	$func = "update_forums";
	$cache->$func();
}

?>